> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# updateReservation



## OpenAPI

````yaml /openapi/transportsoa-api.openapi.json patch /rentalapi/v1/updateReservation
openapi: 3.0.0
info:
  description: >-
    TransportSOA API for rental availability, quotes, reservations, and
    transport-related test utilities.
  version: '1.0'
  title: TransportSOA API
  termsOfService: urn:tos
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: //tstest.websitetravel.com/transportsoa
security: []
tags:
  - name: rental-controller
    description: Rental Controller
  - name: test-controller
    description: Test Controller
paths:
  /rentalapi/v1/updateReservation:
    patch:
      tags:
        - rental-controller
      summary: updateReservation
      operationId: updateReservationUsingPATCH
      parameters:
        - name: reservationRef
          in: query
          description: reservationRef
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValidateUpdateRequest'
        description: updateRequest
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: >-
                  #/components/schemas/SuccessResponseDTO_UpdateReservationResponseDTO_
        '204':
          description: No Content
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      deprecated: false
components:
  schemas:
    ValidateUpdateRequest:
      type: object
      properties:
        campaignCode:
          type: string
        categoryCode:
          type: string
        driverAge:
          type: integer
          format: int32
        dropOffDateTime:
          type: string
        dropOffLocationName:
          type: string
        hirerDetails:
          $ref: '#/components/schemas/HirerDetails'
        insurance:
          type: string
        pascal:
          type: boolean
        pickUpDateTime:
          type: string
        pickUpLocationName:
          type: string
        secondaryProducts:
          type: object
          additionalProperties:
            type: integer
            format: int32
        voucherReference:
          type: string
      title: ValidateUpdateRequest
    SuccessResponseDTO_UpdateReservationResponseDTO_:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/UpdateReservationResponseDTO'
        message:
          type: string
        status:
          type: integer
          format: int32
      title: SuccessResponseDTO«UpdateReservationResponseDTO»
    HirerDetails:
      type: object
      properties:
        acceptedTerms:
          type: boolean
        driversLicenceCountry:
          type: string
        email:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        mailingList:
          type: boolean
        mobilePhone:
          type: string
      title: HirerDetails
    UpdateReservationResponseDTO:
      type: object
      properties:
        booking:
          $ref: '#/components/schemas/BookingRS'
        bookingNo:
          type: integer
          format: int32
        reference:
          type: string
        status:
          type: string
      title: UpdateReservationResponseDTO
    BookingRS:
      type: object
      properties:
        agentBalanceDue:
          $ref: '#/components/schemas/PriceRS'
        agentCollects:
          $ref: '#/components/schemas/PriceRS'
        agentCommission:
          $ref: '#/components/schemas/PriceRS'
        balanceDue:
          $ref: '#/components/schemas/PriceRS'
        dateCreated:
          type: string
        driverAge:
          type: integer
          format: int32
        dropOffDate:
          type: string
        dropOffLocation:
          type: string
        dropOffLocationAddress:
          $ref: '#/components/schemas/LocationDTO'
        fleetCategory:
          $ref: '#/components/schemas/FleetCategoryRS'
        hirerDetails:
          $ref: '#/components/schemas/HirerDetailRS'
        lines:
          type: array
          items:
            $ref: '#/components/schemas/ItemRS'
        pickUpDate:
          type: string
        pickUpLocation:
          type: string
        pickUpLocationAddress:
          $ref: '#/components/schemas/LocationDTO'
        quoteId:
          type: string
        rentalDays:
          type: integer
          format: int32
        reservationId:
          type: integer
          format: int64
        reservationReference:
          type: string
        status:
          type: string
        totalPrice:
          $ref: '#/components/schemas/PriceRS'
        voucherReference:
          type: string
      title: BookingRS
    PriceRS:
      type: object
      properties:
        currencyCode:
          type: string
        value:
          type: number
          format: float
      title: PriceRS
    LocationDTO:
      type: object
      properties:
        siteAddress:
          $ref: '#/components/schemas/AddressDTO'
        siteLocation:
          type: string
      title: LocationDTO
    FleetCategoryRS:
      type: object
      properties:
        availability:
          type: string
        availabilityMessage:
          type: string
        categoryCode:
          type: string
        code:
          type: string
        dailyRate:
          $ref: '#/components/schemas/PriceRS'
        description:
          type: string
        fleetTypeCode:
          type: string
        id:
          type: string
        isAfterHourPickUp:
          type: boolean
        name:
          type: string
        rentalDays:
          type: integer
          format: int32
        total:
          $ref: '#/components/schemas/PriceRS'
        type:
          type: string
      title: FleetCategoryRS
    HirerDetailRS:
      type: object
      properties:
        email:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        mailingList:
          type: boolean
        mobileNumber:
          type: string
      title: HirerDetailRS
    ItemRS:
      type: object
      properties:
        allowMultiple:
          type: boolean
        category:
          type: string
        commissionable:
          type: boolean
        description:
          type: string
        excess:
          $ref: '#/components/schemas/PriceRS'
        excessType:
          type: string
        isMandatory:
          type: boolean
        isPercentageOnTotalCost:
          type: boolean
        maxPrice:
          $ref: '#/components/schemas/PriceRS'
        name:
          type: string
        numberOfDaysCalculated:
          type: integer
          format: int32
        price:
          $ref: '#/components/schemas/PriceRS'
        productCode:
          type: string
        productId:
          type: string
        productType:
          type: string
        qty:
          type: integer
          format: int32
        rentalDays:
          type: integer
          format: int32
        total:
          $ref: '#/components/schemas/PriceRS'
      title: ItemRS
    AddressDTO:
      type: object
      properties:
        City:
          type: string
        Country:
          type: string
        Latitude:
          type: number
          format: double
        Line1:
          type: string
        Longitude:
          type: number
          format: double
        Name:
          type: string
        PostCode:
          type: string
      title: AddressDTO

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.